[arch-commits] CVS update of extra/lib/perl-email-simple (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Sep 1 15:18:23 EDT 2007


    Date: Saturday, September 1, 2007 @ 15:18:23
  Author: jgc
    Path: /home/cvs-extra/extra/lib/perl-email-simple

   Added: PKGBUILD (1.1)

upgpkg: perl-email-simple 2.003-1
Add Email::Simple module


----------+
 PKGBUILD |   31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)


Index: extra/lib/perl-email-simple/PKGBUILD
diff -u /dev/null extra/lib/perl-email-simple/PKGBUILD:1.1
--- /dev/null	Sat Sep  1 15:18:23 2007
+++ extra/lib/perl-email-simple/PKGBUILD	Sat Sep  1 15:18:23 2007
@@ -0,0 +1,31 @@
+# $Id: PKGBUILD,v 1.1 2007/09/01 19:18:23 jgc Exp $
+# Maintainer: Jan de Groot
+
+pkgname=perl-email-simple
+pkgver=2.003
+pkgrel=1
+pkgdesc="Perl/CPAN Email::Simple module"
+arch=(i686 x86_64)
+license=('GPL' 'PerlArtistic')
+url="http://search.cpan.org/dist/Email-Simple/"
+depends=('perl')
+options=(!emptydirs)
+source=(http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Email-Simple-${pkgver}.tar.gz)
+md5sums=('29e8cd6961fa690f016fa9789cbf8502')
+
+build() {
+  cd $startdir/src/Email-Simple-$pkgver
+  # Force module installation to "current" perl directories.
+  eval `perl -V:archname`
+  yes | perl Makefile.PL \
+      INSTALLARCHLIB=/usr/lib/perl5/current/${archname} \
+      INSTALLSITELIB=/usr/lib/perl5/site_perl/current \
+      INSTALLSITEARCH=/usr/lib/perl5/site_perl/current/${archname}
+  make || return 1
+  make install DESTDIR=${startdir}/pkg
+
+  # remove perllocal.pod and .packlist
+  find ${startdir}/pkg -name perllocal.pod -delete
+  find ${startdir}/pkg -name .packlist -delete
+}
+# vim: ts=2 sw=2 et ft=sh




More information about the arch-commits mailing list